Recurring Billing API
Provides recurring billing charge, cancellation, and related information and transaction history queries.
※ A recurring billing key can be obtained by setting rglPmtYn: Y on the initial payment request, or through a separate key issuance process.
Recurring Billing Charge
Submit a payment request using an issued recurring billing key.
API Information
POST/v1/api/regular/confirm
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/regular/confirm운영
https://npay.settlebank.co.kr/v1/api/regular/confirmRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (no Korean characters).
Merchant order number (no Korean characters).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└trdAmtN(13)Numeric, up to 13 bytes*Transaction amount.
Transaction amount.
└rglChrgKeyAN(32)Alphanumeric, up to 32 bytes*Recurring billing key.
Recurring billing key.
└splAmtN(13)Numeric, up to 13 bytesSupply amount (pre-tax amount).
Supply amount (pre-tax amount).
└vatN(13)Numeric, up to 13 bytesValue-added tax amount.
Value-added tax amount.
└svcAmtN(13)Numeric, up to 13 bytesService charge amount.
Service charge amount.
└pmtPrdtNmAN(50)Alphanumeric, up to 50 bytesProduct name.
Product name.
└custAcntSumryAN(7)Alphanumeric, up to 7 bytesBank statement descriptor.
Bank statement descriptor.
└csrslssReqYnA(1)Alphabetic, up to 1 bytesCash receipt issuance flag.
Cash receipt issuance flag.
└csrcIssPsblYnA(1)Alphabetic, up to 1 bytesCash receipt issuance eligibility flag.
Cash receipt issuance eligibility flag.
└taxTypeCdA(1)Alphabetic, up to 1 bytesTax exemption flag (required when csrslssReqYn is Y).
Tax exemption flag (required when csrslssReqYn is Y).
Y: Tax-exempt N: Taxable└csrcReqPrposYnN(1)Numeric, up to 1 bytesCash receipt purpose (required when csrslssReqYn is Y).
Cash receipt purpose (required when csrslssReqYn is Y).
0: Income deduction 1: Expense proof└csrcRegNoDivCdN(1)Numeric, up to 1 bytesCash receipt identifier type (required when csrslssReqYn is Y).
Cash receipt identifier type (required when csrslssReqYn is Y).
1: Card number 2: Resident registration number 3: Business registration number 4: Mobile phone number└csrcRegNoAN(20)Alphanumeric, up to 20 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Cash receipt identifier value (required when csrslssReqYn is Y).Cash receipt identifier value (required when csrslssReqYn is Y).
*Actual value corresponding to csrcRegNoDivCd
└cupDepositAmtN(13)Numeric, up to 13 bytesCup deposit amount.
Cup deposit amount.
└addDdtTypeCdA(1)Alphabetic, up to 1 bytesAdditional deduction type (required when csrslssReqYn is Y).
Additional deduction type (required when csrslssReqYn is Y).
Y: Public transit C: Books and performance fees└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtCustId + reqDt + reqTm + trdAmt (plaintext) + rglChrgKey + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID201902210001Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytesTransaction reference number.
STFP_FIRM12345678901234567890Transaction reference number.
└rglPmtProcStatCdA(1)Alphabetic, up to 1 bytesRecurring billing processing status.
Recurring billing processing status.
R: Requires reprocessing C: Scheduled for cancellation└trdAmtN(13)Numeric, up to 13 bytesTransaction amount.
1000Transaction amount.
└svcDivCdN(4)Numeric, up to 4 bytesService used for payment.
1Service used for payment.
1: Firm BankingNeed technical support?
Code Samples
HectoFinancial GitHub